File: changelog

package info (click to toggle)
kore 4.1.0-3
  • links: PTS, VCS
  • area: main
  • in suites: bullseye
  • size: 2,548 kB
  • sloc: ansic: 27,134; makefile: 323; sh: 253; python: 138; cpp: 34
file content (162 lines) | stat: -rw-r--r-- 5,978 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
kore (4.1.0-3) unstable; urgency=medium

  * debian/tests/myapp: Adjust the test script to avoid waiting forever.
    (Closes: #989749)

 -- Shih-Yuan Lee (FourDollars) <fourdollars@debian.org>  Tue, 22 Jun 2021 00:05:14 +0800

kore (4.1.0-2) unstable; urgency=medium

  * d/control: Update Debian policy version to 4.5.1.
  * d/copyright: Update years.
  * d/p/Fix-the-compilation-error-when-using-make-j8.patch: Drop this patch.

 -- Shih-Yuan Lee (FourDollars) <fourdollars@debian.org>  Wed, 03 Mar 2021 14:43:32 +0800

kore (4.1.0-1) unstable; urgency=medium

  * Bump to 4.1.0.
  * d/control,
    d/kore.1: Update the description.
  * d/p/*: Remove unnecessary patches and refresh patches.

 -- Shih-Yuan Lee (FourDollars) <fourdollars@debian.org>  Tue, 02 Mar 2021 22:57:05 +0800

kore (4.0.1-5) unstable; urgency=medium

  * d/p/Allow-the-clock_nanosleep-syscall-it-is-required-for.patch,
    d/p/Conditionally-allow-syscalls-required-to-run-on-arm.patch,
    d/p/series: Backport more fixes from upstream for arm.
  * d/t/myapp: Make myapp quit when seccomp is not in filter mode.

 -- Shih-Yuan Lee (FourDollars) <fourdollars@debian.org>  Wed, 07 Oct 2020 23:25:39 +0800

kore (4.0.1-4) unstable; urgency=medium

  * d/t/myapp: Check if seccomp is 2 (i.e. filter mode).
  * d/t/myapp: Check /dev/urandom and polish the test script.

 -- Shih-Yuan Lee (FourDollars) <fourdollars@debian.org>  Mon, 28 Sep 2020 21:54:19 +0800

kore (4.0.1-3) unstable; urgency=medium

  * d/p/Add-support-for-logging-seccomp-violations-on-arm.patch,
    d/p/series: Fix the compilation error on armel and armhf.

 -- Shih-Yuan Lee (FourDollars) <fourdollars@debian.org>  Thu, 24 Sep 2020 10:14:00 +0800

kore (4.0.1-2) unstable; urgency=medium

  * d/p/Fix-the-compilation-error-when-using-make-j8.patch,
    d/rules: Remove the workaround of using make -j1 and apply the real fix.
  * d/t/control,
    d/t/myapp-clang: Check gcc and clang instead of c-compiler.
  * d/p/Add-missing-tests-for-SYS_mmap-fixes-the-build-on-ar.patch,
    d/p/series: Fix the compilation error on armel and armhf.

 -- Shih-Yuan Lee (FourDollars) <fourdollars@debian.org>  Wed, 23 Sep 2020 00:42:50 +0800

kore (4.0.1-1) unstable; urgency=medium

  [ Shih-Yuan Lee (FourDollars) ]
  * d/watch: Update the URL to scan.
  * d/copyright: Update the source link and the maintainer's email.
  * Bump to 4.0.1.
  * d/p/debian.patch: Adjust the patch for 4.0.1.
  * d/t/control, d/t/myapp: Add autopkgtests.
  * d/p/debian.patch: Avoid getting the version from git.
  * d/rules: Use make -j1.
  * d/t/myapp: Make myapp gracefully shutdown.
  * d/control: It only supports amd64, armhf, armel and arm64.

  [ Debian Janitor ]
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.5.0, no changes needed.

 -- Shih-Yuan Lee (FourDollars) <fourdollars@debian.org>  Wed, 25 Dec 2019 16:14:06 +0800

kore (3.3.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/rules: Remove trailing whitespaces

  [ Shih-Yuan Lee (FourDollars) ]
  * Bump to 3.3.1. (Closes: #945098)
  * d/p/debian.patch: Adjust the patch for 3.3.1.
  * d/p/maybe-uninitialized.patch,
    d/p/Add-support-for-openssl-1.1.0-release-line.patch,
    d/p/Deal-with-the-Host-header-in-a-way-IPv6-hosts-work.patch:
    Drop patches from upstream
  * d/control: Update Standards-Version to 4.4.1.

 -- Shih-Yuan Lee (FourDollars) <fourdollars@debian.org>  Mon, 01 Oct 2018 09:40:24 +0200

kore (2.0.0-4) unstable; urgency=medium

  * debian/patches/Add-support-for-openssl-1.1.0-release-line.patch: Add the
    Debian bug information. (Closes: #858939)
  * debian/patches/Deal-with-the-Host-header-in-a-way-IPv6-hosts-work.patch:
    Add the Debian bug information. (Closes: #853478)
  * debian/patches/debian.patch: Fix dpkg-buildflags-missing warning.
  * debian/control: Update Debian Policy version to 4.1.4.2.
  * debian/watch: Fix the watch file for uscan.

 -- Shih-Yuan Lee (FourDollars) <fourdollars@debian.org>  Sat, 23 Jun 2018 19:40:13 +0800

kore (2.0.0-3) unstable; urgency=medium

  * debian/control: Migrate Git repository to salsa.debian.org, update the
    maintainer's email, simplify the package dependency.
  * debian/patches/Add-support-for-openssl-1.1.0-release-line.patch: Support
    openssl 1.1.0. (Closes: #858939)
  * Deal-with-the-Host-header-in-a-way-IPv6-hosts-work.patch: Fix GCC 7 build.
    (Closes: #853478)

 -- Shih-Yuan Lee (FourDollars) <fourdollars@debian.org>  Fri, 22 Jun 2018 23:03:27 +0800

kore (2.0.0-2) unstable; urgency=medium

  * Fix the maybe-uninitialized error for va_list.

 -- Shih-Yuan Lee (FourDollars) <fourdollars@gmail.com>  Sat, 19 Nov 2016 17:52:29 +0800

kore (2.0.0-1) unstable; urgency=medium

  * debian/control: Update Standards-Version to 3.9.8 and Vcs-Git to HTTPS.
  * debian/control: Depend on libssl1.0-dev instead because of the upstream.
    (Closes: #828368)
  * Bump to 2.0.0

 -- Shih-Yuan Lee (FourDollars) <fourdollars@gmail.com>  Tue, 15 Nov 2016 20:03:48 +0800

kore (1.2.3-5) unstable; urgency=medium

  * debian/kore.1: Remove the redundant sentence in the manual.

 -- Shih-Yuan Lee (FourDollars) <fourdollars@gmail.com>  Fri, 11 Dec 2015 10:27:07 +0800

kore (1.2.3-4) unstable; urgency=medium

  * Add the runtime dependencies.

 -- Shih-Yuan Lee (FourDollars) <fourdollars@gmail.com>  Sun, 06 Dec 2015 19:49:18 +0800

kore (1.2.3-3) unstable; urgency=medium

  * debian/patches/debian.patch: Add LFS support.

 -- Shih-Yuan Lee (FourDollars) <fourdollars@gmail.com>  Tue, 24 Nov 2015 21:10:43 +0800

kore (1.2.3-2) unstable; urgency=medium

  * debian/patches/typos.patch: Fix typos.

 -- Shih-Yuan Lee (FourDollars) <fourdollars@gmail.com>  Tue, 17 Nov 2015 19:26:14 +0800

kore (1.2.3-1) unstable; urgency=low

  * Initial release (Closes: #802854)

 -- Shih-Yuan Lee (FourDollars) <fourdollars@gmail.com>  Tue, 20 Oct 2015 21:06:24 +0800